PipeWire 1.4.8

Loading...
Searching...
No Matches
pw_core_info Struct Reference
Core API » Core

The core information. More...

`#include <pipewire/core.h>`

## Data Fields
uint32_t | id
| id of the global
uint32_t | cookie
| a random cookie for identifying this instance of PipeWire
const char * | user_name
| name of the user that started the core
const char * | host_name
| name of the machine the core is running on
const char * | version
| version of the core
uint64_t | change_mask
| bitfield of changed fields since last call

## Detailed Description

The core information.

Extra information may be added in later versions, clients must not assume a constant struct size

## Field Documentation

## ◆ id

uint32_t pw_core_info::id

id of the global

## ◆ cookie

uint32_t pw_core_info::cookie

a random cookie for identifying this instance of PipeWire

## ◆ user_name

const char* pw_core_info::user_name

name of the user that started the core

## ◆ host_name

const char* pw_core_info::host_name

name of the machine the core is running on

## ◆ version

const char* pw_core_info::version

version of the core

## ◆ change_mask

uint64_t pw_core_info::change_mask

bitfield of changed fields since last call

The documentation for this struct was generated from the following file:

- pipewire/core.h